<?
if ($MODE == "search") {
	$ADD_KEY = "&mode=search&search_key=".$SEARCH_KEY."&search_val=".$SEARCH_VAL;
	if ($SEARCH_KEY == "title") {
		$ADD_QRY = " and bd_title like '%'||?||'%'";
		$EN_TITLE = " selected";
	} else if ($SEARCH_KEY == "content") {
		$ADD_QRY = " and bd_content like '%'||?||'%'";
		$EN_CONTENT = " selected";
	}
}

/* PARAMETERS SET */
$ROW_DIV_COUNT = 20;
$PAGE_DIV_COUNT = 10;
 
$count_qry = "select count(bd_seqcd) as cnt from board where bd_seqcd > 1 " . $ADD_QRY . " using index pk_board_bd_seqcd(+)";
$req = cubrid_prepare($con, $count_qry);
if ($MODE == "search")
	$res = cubrid_bind($req, 1, $SEARCH_VAL, "STRING");
$result = cubrid_execute($req);
$row = cubrid_fetch($req);
if ($req > 0) cubrid_close_request($req);

$TOTAL_COUNT = $row["cnt"];
$TOTAL_PAGES = ceil($TOTAL_COUNT / $ROW_DIV_COUNT);
if ($TOTAL_PAGES <= 0) $TOTAL_PAGES = 1;

if (!$PAGE || $PAGE <= 0)
	$PAGE = 1;
else if ($PAGE > $TOTAL_PAGES)
	$PAGE = $TOTAL_PAGES;

$PAGE_START = floor(($PAGE-1)/$PAGE_DIV_COUNT)*$PAGE_DIV_COUNT+1;
$PAGE_END = floor((($PAGE-1)/$PAGE_DIV_COUNT)+1)*$PAGE_DIV_COUNT; 
$PAGE_BEFORE = $PAGE_START-1;
$PAGE_AFTER = $PAGE_END+1;

$ROW_START = (($PAGE-1) * $ROW_DIV_COUNT) + 1;
$ROW_END = $ROW_START + $ROW_DIV_COUNT - 1;
?>
<table border="1" width="90%">
<form name="searchForm" action="list.html" method="post">
<input type="hidden" name="mode" value="search">
<tr>
	<td>
	<table border="0" width="100%">
	<tr>
		<td align="left">&nbsp;<?echo $PAGE;?> / <?echo $TOTAL_PAGES;?> pages</td>
		<td width="80" align="right"><select name="search_key">
			<option value="title" <?echo $EN_TITLE;?>>제목</option>
			<option value="content"<?echo $EN_CONTENT;?>>내용</option>
		</select></td>
		<td width="160"><center><input type="text" name="search_val" value="<?echo $SEARCH_VAL;?>"></center></td>
		<td width="40"><center><a href="javascript:document.searchForm.submit();">[검색]</a></center></td>
	</tr>
	</table>
	</td>
</tr>
</form>
<tr>
	<td>
	<table border="1" width="100%">
	<tr height="20">
		<td width="40"><center>번호</center></td>
		<td><center>제목</center></td>
		<td width="80"><center>작성자</center></td>
		<td width="40"><center>조회수</center></td>
		<td width="80"><center>작성일</center></td>
	</tr>
	</table>
	</td>
</tr>
<tr height="2">
	<td></td>
</tr>
<tr>
	<td>
	<table border="0" width="100%">
<?
$list_qry = "select * from board where bd_thread > 0 and rownum between ? and ? "  . $ADD_QRY . " using index idx_board_bd_thread(+)";
$req = cubrid_prepare($con, $list_qry);
$res = cubrid_bind($req, 1, $ROW_START, "NUMERIC"); 
$res = cubrid_bind($req, 2, $ROW_END, "NUMERIC");
if ($MODE == "search")
	$res = cubrid_bind($req, 3, $SEARCH_VAL, "STRING");
$result = cubrid_execute($req);

if ($result) {
	if (cubrid_num_rows($req) == 0) {
?>
	<tr height="20">
		<td colspan="5"><center><b>등록된 글이 없습니다.</b></center></td>
	</tr>
<?
	} else {
		$THREAD_COUNT = $TOTAL_COUNT - (($PAGE - 1) * 20);
		while ($row = cubrid_fetch($req)) {
			$SEQCD = $row['bd_seqcd'];
			$TITLE = $row['bd_title'];
			$NAME = $row['bd_name'];
			$CNT = $row['bd_cnt'];
			$WDATE = $row['bd_wdate'];
			$WDATET = explode(" ", $WDATE);
			$DEPTH = $row['bd_depth'];
			$DEPTH_STR = "";
			if ($DEPTH != 0) for ($i = 0; $i < $DEPTH; $i++) $DEPTH_STR .= "&nbsp;&nbsp;&nbsp;";
			if ($SEQCD == $NUM) $TITLE = "<b>".$TITLE."</b>";

			$PARAM = "?page=".$PAGE."&num=".$SEQCD.$ADD_KEY;
?>
	<tr height="20">
		<td width="40"><center><?echo $THREAD_COUNT--;?></center></td>
		<td>&nbsp;&nbsp;<a href="view.html<?echo $PARAM?>"><?echo $DEPTH_STR.$TITLE;?></a></td>
		<td width="80"><center><?echo $NAME;?></center></td>
		<td width="40"><center><?echo $CNT;?></center></td>
		<td width="80"><center><?echo $WDATET[0];?></center></td>
	</tr>
<?
		}
	}
	if ($req > 0) cubrid_close_request($req);
}
?>
	</table>
	</td>
</tr>
<tr height="2">
	<td></td>
</tr>
<tr>
	<td>
	<table border="0" width="100%">
	<tr height="20">
		<td width="300">&nbsp;</td>
		<td><center><a href="list.html?page=1<?echo $ADD_KEY;?>">[처음]</a> <a href="list.html?page=<?echo $PAGE_BEFORE.$ADD_KEY;?>">[이전]</a> 
<?
for ($i = $PAGE_START; $i <= $PAGE_END; $i++) {
	if ($i == $PAGE)
		echo "<b>". $i . "</b> ";
	else
		echo "<a href=\"list.html?page=" . $i .$ADD_KEY ."\">" . $i . "</a> ";
	if ($i >= $TOTAL_PAGES)
		break;
}
?>
		<a href="list.html?page=<?echo $PAGE_AFTER.$ADD_KEY;?>">[다음]</a> <a href="list.html?page=<?echo $TOTAL_PAGES.$ADD_KEY;?>">[마지막]</a></center></td>
		<td width="300" align="right"><a href="write.html?mode=write&page=<?echo $PAGE;?>">[쓰기]</a> <a href="list.html?page=1">[목록]</a> &nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>
