<?
include "db.inc";

/* PARAMETERS READ */
$MODE = $_REQUEST['mode'];

$CUBRID_HOST = "localhost";
$CUBRID_PORT = 33000;
$CUBRID_DATABASE = "board";
$CUBRID_ID = "dba";
$CUBRID_PASS = "";

$con = db_connect($CUBRID_HOST, $CUBRID_PORT, $CUBRID_DATABASE, $CUBRID_ID, $CUBRID_PASS);

if ($MODE == "delete") {
	/* PARAMETERS READ */
	$PAGE = (int)($_REQUEST['page']);
	$NUM = (int)($_REQUEST['num']);
	$PASSWD = $_REQUEST['passwd'];
	
	$pass_qry = "select bd_passwd from board where bd_seqcd = ?";
	$req = cubrid_prepare($con, $pass_qry);
	$res = cubrid_bind($req, 1, $NUM, "NUMERIC");
	$result = cubrid_execute($req);
	$row = cubrid_fetch($req);
	if ($req > 0) cubrid_close_request($req);

	if ($row["bd_passwd"] != $PASSWD) {
		echo "<script language='javascript'>alert('비밀번호가 잘못되었거나 이미 삭제된 게시물 입니다.');history.go(-1);</script>";
	} else if ($row["bd_passwd"] == $PASSWD) {
		$delete_qry = "delete from board where bd_seqcd = ?";
		$req2 = cubrid_prepare($con, $delete_qry);
		$res = cubrid_bind($req2, 1, $NUM, "NUMERIC");
		$result = cubrid_execute($req2);
		
		cubrid_commit ($con);
		if ($req2 > 0) cubrid_close_request($req2);

		echo "<script language='javascript'>alert('삭제되었습니다.');document.location.href='list.html';</script>";
	}
} else if ($MODE == "write") {
	/* PARAMETERS READ */
	$PAGE = (int)($_REQUEST['page']);
	$TITLE = $_REQUEST['title'];
	$USERNAME = $_REQUEST['username'];
	$PASSWD = $_REQUEST['passwd'];
	$CONTENT = $_REQUEST['content'];

	$max_qry = "select coalesce(max(bd_thread), 0) as maxval from board where bd_thread > 0";
	$result = cubrid_execute($con, $max_qry);
	$row = cubrid_fetch($result);

	$THREAD = floor($row["maxval"]) + 1;

	$insert_qry = "insert into board(bd_thread, bd_depth, bd_name, bd_passwd, bd_title, bd_content, bd_wdate) values(?, 0, ?, ?, ?, ?, systimestamp);";
	$req = cubrid_prepare($con, $insert_qry);
	$res = cubrid_bind($req, 1, $THREAD, "NUMERIC"); // bd_thread
	//$res = cubrid_bind($req, 1, $DEPTH, "NUMERIC"); // bd_depth
	$res = cubrid_bind($req, 2, $USERNAME, "STRING"); // bd_name
	$res = cubrid_bind($req, 3, $PASSWD, "STRING"); // bd_passwd
	$res = cubrid_bind($req, 4, $TITLE, "STRING"); // bd_title
	$res = cubrid_bind($req, 5, $CONTENT, "STRING"); // bd_content
	$result = cubrid_execute($req);

	cubrid_commit ($con);
	if ($req > 0) cubrid_close_request($req);
	echo "<script language='javascript'>alert('저장되었습니다.');document.location.href='list.html';</script>";
} else if ($MODE == "modify") {
	/* PARAMETERS READ */
	$PAGE = (int)($_REQUEST['page']);
	$NUM = (int)($_REQUEST['num']);
	$TITLE = $_REQUEST['title'];
	$USERNAME = $_REQUEST['username'];
	$PASSWD = $_REQUEST['passwd'];
	$CONTENT = $_REQUEST['content'];

	$update_qry = "update board set bd_name = ?, bd_passwd = ?, bd_title = ?, bd_content = ? where bd_seqcd = ?";
	$req = cubrid_prepare($con, $update_qry);
	$res = cubrid_bind($req, 1, $USERNAME, "STRING"); // bd_name
	$res = cubrid_bind($req, 2, $PASSWD, "STRING"); // bd_passwd
	$res = cubrid_bind($req, 3, $TITLE, "STRING"); // bd_title
	$res = cubrid_bind($req, 4, $CONTENT, "STRING"); // bd_content
	$res = cubrid_bind($req, 5, $NUM, "NUMERIC"); // bd_thread
	$result = cubrid_execute($req);

	cubrid_commit ($con);
	if ($req > 0) cubrid_close_request($req);
	echo "<script language='javascript'>alert('수정되었습니다.');document.location.href='list.html';</script>";
} else if ($MODE == "reply") {
	/* PARAMETERS READ */
	$PAGE = (int)($_REQUEST['page']);
	$NUM = (int)($_REQUEST['num']);
	$TITLE = $_REQUEST['title'];
	$USERNAME = $_REQUEST['username'];
	$PASSWD = $_REQUEST['passwd'];
	$CONTENT = $_REQUEST['content'];

	$max_qry = "select bd_thread, coalesce(bd_depth, 0) as dep from board where bd_seqcd = ?";
	$req = cubrid_prepare($con, $max_qry);
	$res = cubrid_bind($req, 1, $NUM, "NUMERIC");
	$result = cubrid_execute($req);
	$row = cubrid_fetch($req);
	if ($req > 0) cubrid_close_request($req);

	$THREAD = $row["bd_thread"] - 0.001;
	$UNDER_THREAD = ceil($row["bd_thread"] - 1) + 0.001;
	$DEPTH = $row["dep"] + 1;

	$update_qry = "update board set bd_thread=bd_thread-0.001 where bd_thread between ? and ?";
	$req = cubrid_prepare($con, $update_qry);
	$res = cubrid_bind($req, 1, $UNDER_THREAD, "NUMERIC"); // bd_name
	$res = cubrid_bind($req, 2, $THREAD, "NUMERIC"); // bd_passwd
	$result = cubrid_execute($req);
	if ($req > 0) cubrid_close_request($req);

	$insert_qry = "insert into board(bd_thread, bd_depth, bd_name, bd_passwd, bd_title, bd_content, bd_wdate) values(?, ?, ?, ?, ?, ?, systimestamp);";
	$req = cubrid_prepare($con, $insert_qry);
	$res = cubrid_bind($req, 1, $THREAD, "NUMERIC"); // bd_thread
	$res = cubrid_bind($req, 2, $DEPTH, "NUMERIC"); // bd_depth
	$res = cubrid_bind($req, 3, $USERNAME, "STRING"); // bd_name
	$res = cubrid_bind($req, 4, $PASSWD, "STRING"); // bd_passwd
	$res = cubrid_bind($req, 5, $TITLE, "STRING"); // bd_title
	$res = cubrid_bind($req, 6, $CONTENT, "STRING"); // bd_content
	$result = cubrid_execute($req);
	cubrid_commit ($con);

	if ($req > 0) cubrid_close_request($req);
	echo "<script language='javascript'>alert('저장되었습니다.');document.location.href='list.html';</script>";
}

db_disconnect($con);
?>

